Custom Query (196 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (166 - 168 of 196)

Ticket Resolution Summary Owner Reporter
#302 fixed Django packages are getting renamed in F18/F19 achernya
Description

As per the Fedora Packaging Committee decision on Django package naming, Django-* and django-* packages are being renamed to python-django-*. The Fedora 19 installation cycle must be careful to ensure all Django packages are properly installed.

#113 fixed Django auto-installs on a machine where USER != ATHENA_USER get wrong email address adehnert adehnert
Description

Currently, the Django auto-installer bakes the username of the running user into settings.py as the email address in the ADMINS variable. On a debathena-standard machine where $USER and $ATHENA_USER don't match, this will result in mail relating to your autoinstall going to $USER@… instead of $ATHENA_USER@…. This seems unfortunate.

So far as I can tell, the semantics of the "human" argument to the onserver scripts is something like "Athena username". Assuming that's the case, I think the patch below will fix this bug, though I'm not actually sure how to test it, so I haven't.

Index: locker/deploy/bin/onathena
===================================================================
--- locker/deploy/bin/onathena	(revision 1454)
+++ locker/deploy/bin/onathena	(working copy)
@@ -256,7 +256,7 @@
 fi
 cd "$origdir"
 
-vsshrun "deploy$scriptsdev/bin/$deploy" "$sname" "$deploy" "$addrend" "$admin_username" "$requires_sql" "$scriptsdev" "$USER" || die "Unknown failure during configuration"
+vsshrun "deploy$scriptsdev/bin/$deploy" "$sname" "$deploy" "$addrend" "$admin_username" "$requires_sql" "$scriptsdev" "${ATHENA_USER:-$USER}" || die "Unknown failure during configuration"
 rm -f "$lroot/web_scripts/$addrend/.scripts-tmp"
 checkfailed
#253 fixed Django admin media missing on F15 geofft geofft
Description

http://scripts-test.mit.edu/__scripts/django/media/css/base.css and friends don't exist.

achernya says, "I think the django thing is fixed by copying new files from F15."

Note: See TracQuery for help on using queries.